//*****************************************************************************
//
// flash_pb.h - Prototypes for the flash parameter block functions.
//
//
//*****************************************************************************

#ifndef __FLASH_PB_H__
#define __FLASH_PB_H__

//*****************************************************************************
//
// If building with a C++ compiler, make all of the definitions in this header
// have a C binding.
//
//*****************************************************************************
#ifdef __cplusplus
extern "C"
{
#endif

//*****************************************************************************
//
// Prototype for the flash parameter block functions.
//
//*****************************************************************************
extern unsigned char *FlashPBGet(void);
extern void FlashPBSave(unsigned char *pucBuffer);
extern void FlashPBInit(unsigned long ulStart, unsigned long ulEnd,
                        unsigned long ulSize);

//*****************************************************************************
//
// Mark the end of the C bindings section for C++ compilers.
//
//*****************************************************************************
#ifdef __cplusplus
}
#endif

#endif // __FLASH_PB_H__
